## vmtouch 1.3.0

=== Makefile ===
PREFIX?=	/usr/local
BINDIR?=	$(PREFIX)/bin
MANDIR?=	$(PREFIX)/share/man/man8

CC?=		cc
CFLAGS+=	-Wall -O2 -g -std=c99

all: vmtouch vmtouch.8

.PHONY: all install clean uninstall

vmtouch: vmtouch.c
	${CC} ${CFLAGS} -o vmtouch vmtouch.c

vmtouch.8: vmtouch.pod
	pod2man --section 8 --center "System Manager's Manual" --release " " vmtouch.pod > vmtouch.8

install: vmtouch vmtouch.8
	mkdir -p $(BINDIR) $(MANDIR)
	install -m 0755 vmtouch $(BINDIR)/vmtouch
	install -m 0644 vmtouch.8 $(MANDIR)/vmtouch.8

clean:
	rm -f vmtouch vmtouch.8

uninstall:
	rm $(BINDIR)/vmtouch $(MANDIR)/vmtouch.8

=== debian/changelog ===
vmtouch (1.3.0-1) unstable; urgency=medium

  * Initial upload to Debian, based heavily on upstream's packaging work.
    Closes: #871268

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 07 Aug 2017 10:16:28 -0400

=== debian/control ===
Source: vmtouch
Section: admin
Priority: optional
Maintainer: Lucas Nussbaum <lucas@debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>,
           Doug Hoyte <doug@hcsw.org>
Build-Depends: debhelper (>= 10~)
Standards-Version: 4.0.0
Homepage: https://hoytech.com/vmtouch/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vmtouch.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vmtouch.git

Package: vmtouch
Architecture: any
Depends: lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Portable file system cache diagnostics and control
 vmtouch is a tool for learning about and controlling the file system cache of
 unix and unix-like systems. It can discover which files the OS is caching, tell
 the OS to cache or evict some files or regions of files, lock files into memory
 so the OS won't evict them, and more.

=== debian/tests/control ===
Tests: vmtouch-basic

## vmtouch 1.3.1

=== Makefile ===
PREFIX?=	/usr/local
BINDIR?=	$(PREFIX)/bin
MANDIR?=	$(PREFIX)/share/man/man8

CC?=		cc
CFLAGS+=	-Wall -O2 -g -std=c99

all: vmtouch vmtouch.8

.PHONY: all install clean uninstall

vmtouch: vmtouch.c
	${CC} ${CFLAGS} ${LDFLAGS} -o vmtouch vmtouch.c

vmtouch.8: vmtouch.pod
	pod2man --section 8 --center "System Manager's Manual" --release " " vmtouch.pod > vmtouch.8

install: vmtouch vmtouch.8
	install -Dm 0755 vmtouch $(DESTDIR)$(BINDIR)/vmtouch
	install -Dm 0644 vmtouch.8 $(DESTDIR)$(MANDIR)/vmtouch.8

clean:
	rm -f vmtouch vmtouch.8

uninstall:
	rm $(DESTDIR)$(BINDIR)/vmtouch $(DESTDIR)$(MANDIR)/vmtouch.8

=== debian/changelog ===
vmtouch (1.3.1-4) unstable; urgency=medium

  * Add systemd service ; drop init script. Closes: #1039412
  * Update standards version to 4.7.2, no changes needed.
  * Drop Rules-Requires-Root
  * add-cppflags.patch: add Forwarded: not-needed
  * debian/watch: upgrade to version 5
  * Update debian/gbp.conf for DEP-14

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 04 Nov 2025 23:18:30 +0100

vmtouch (1.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.

  [ Lucas Nussbaum ]
  * Depend on sysvinit-utils instead of lsb-base. (lintian error)
    + This is really a temporary fix, as we should migrate to systemd.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 11 Feb 2025 18:47:10 +0100

vmtouch (1.3.1-2) unstable; urgency=medium

  * Fix path of binary in init script. Closes: #947603
  * Upgrade to watch file format version 4
  * Add upstream metadata
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Add patch to add CPPFLAGS to cc invocation
  * Bump Standards-Version to 4.5.1

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 11 Jan 2021 23:32:44 +0100

vmtouch (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Lucas Nussbaum ]
  * Bump dh compat level to 12.
  * Bump Standards-Version to 4.3.0
  * Remove debian/compat
  * Add support for Pre-Depends
  * New upstream version 1.3.1

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 18 Jul 2019 14:18:41 +0200

=== debian/control ===
Source: vmtouch
Section: admin
Priority: optional
Maintainer: Lucas Nussbaum <lucas@debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>,
           Doug Hoyte <doug@hcsw.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://hoytech.com/vmtouch/
Vcs-Git: https://salsa.debian.org/debian/vmtouch.git
Vcs-Browser: https://salsa.debian.org/debian/vmtouch

Package: vmtouch
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Portable file system cache diagnostics and control
 vmtouch is a tool for learning about and controlling the file system cache of
 unix and unix-like systems. It can discover which files the OS is caching, tell
 the OS to cache or evict some files or regions of files, lock files into memory
 so the OS won't evict them, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/vmtouch/usr install

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/watch ===
Version: 5

Template: GitHub
Owner:hoytech
Project: vmtouch
